The Google Play app's creator funnel: clicks, store impressions and downloads, installs, retention and revenue
GET
/api/public/v1/apps/android/analyticsConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id getAndroidAppAnalytics
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/apps/android/analytics" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| organization_id | query | integer | |
| start_date | query | string (date) | |
| end_date | query | string (date) |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| data | object | |
| data.chart_data | array of object | |
| data.last_synced_at | string (date-time), nullable | |
| data.retention_rate | number | |
| data.total_app_installs | integer | |
| data.total_app_uninstalls | integer | |
| data.total_asc_downloads | integer | |
| data.total_asc_impressions | integer | |
| data.total_asc_proceeds_cents | integer | |
| data.total_attributed_revenue_cents | integer | |
| data.total_link_clicks | integer | |
| date_range | object | |
| date_range.end_date | string (date) | |
| date_range.start_date | string (date) | |
| success | boolean |
Example
{
"data": {
"chart_data": [
{}
],
"last_synced_at": "2026-11-01T15:04:05Z",
"retention_rate": 0.15,
"total_app_installs": 3,
"total_app_uninstalls": 3,
"total_asc_downloads": 3,
"total_asc_impressions": 3,
"total_asc_proceeds_cents": 12500,
"total_attributed_revenue_cents": 12500,
"total_link_clicks": 3
},
"date_range": {
"end_date": "2026-11-01",
"start_date": "2026-11-01"
},
"success": true
}Errors: 401404422429with an error and usually a message. See errors.
Example values are made up from each field's type and name.